Bug 275641 - steghide/libmcrypt no longer working
steghide/libmcrypt no longer working
Product: Fedora
Classification: Fedora
Component: steghide (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Extras Quality Assurance
Depends On: 278671
  Show dependency treegraph
Reported: 2007-09-03 18:15 EDT by Jochen Schlick
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-09 15:17:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jochen Schlick 2007-09-03 18:15:34 EDT
Description of problem:

calling steghide results in the following error message: 
steghide: could not open libmcrypt module "rijndael-128", "cbc"

oh I forgot to mention, installation of libmcrypt results in:
error: %port(libmcrypt-2.5.8-2.fc8.i386) scriptlet failed, signal 11

Version-Release number of selected component (if applicable):

How reproducible:
Comment 1 Jochen Schmitt 2007-09-05 12:00:45 EDT

I have toke a look the the source code of steghide.

Because I believe, this failure was caused be libmcrypt, I have open
BZ 278671
Comment 2 Michel Alexandre Salim 2007-09-22 13:54:29 EDT
Not platform-specific
Comment 3 Michel Alexandre Salim 2007-09-22 13:56:29 EDT
steghide encinfo is also broken:

$ steghide encinfo
encryption algorithms:
<algorithm>: <supported modes>...
Comment 4 Jochen Schmitt 2007-10-09 15:17:25 EDT
steghide should works with libmcrypt-2.5.8-3. I have add a req on steghide-0.5.1-7.

Note You need to log in before you can comment on or make changes to this bug.